
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="X-UA-Compatible" content="IE=Edge" />
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title>MDSLibraries.system_utility module &#8212; PhaserVoyager 0.0.1 documentation</title>
    <link rel="stylesheet" href="_static/sphinxdoc.css" type="text/css" />
    <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
    <script type="text/javascript" id="documentation_options" data-url_root="./" src="_static/documentation_options.js"></script>
    <script type="text/javascript" src="_static/jquery.js"></script>
    <script type="text/javascript" src="_static/underscore.js"></script>
    <script type="text/javascript" src="_static/doctools.js"></script>
    <script type="text/javascript" src="_static/language_data.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="MDSLibraries.voyager_master_phil module" href="MDSLibraries.voyager_master_phil.html" />
    <link rel="prev" title="MDSLibraries.simple_tools module" href="MDSLibraries.simple_tools.html" /> 
  </head><body>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="MDSLibraries.voyager_master_phil.html" title="MDSLibraries.voyager_master_phil module"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="MDSLibraries.simple_tools.html" title="MDSLibraries.simple_tools module"
             accesskey="P">previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="index.html">PhaserVoyager 0.0.1 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="modules.html" >src</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="MDSLibraries.html" accesskey="U">MDSLibraries package</a> &#187;</li> 
      </ul>
    </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h4>Previous topic</h4>
  <p class="topless"><a href="MDSLibraries.simple_tools.html"
                        title="previous chapter">MDSLibraries.simple_tools module</a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="MDSLibraries.voyager_master_phil.html"
                        title="next chapter">MDSLibraries.voyager_master_phil module</a></p>
  <div role="note" aria-label="source link">
    <h3>This Page</h3>
    <ul class="this-page-menu">
      <li><a href="_sources/MDSLibraries.system_utility.rst.txt"
            rel="nofollow">Show Source</a></li>
    </ul>
   </div>
<div id="searchbox" style="display: none" role="search">
  <h3>Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" />
      <input type="submit" value="Go" />
      <input type="hidden" name="check_keywords" value="yes" />
      <input type="hidden" name="area" value="default" />
    </form>
    </div>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="module-MDSLibraries.system_utility">
<span id="mdslibraries-system-utility-module"></span><h1>MDSLibraries.system_utility module<a class="headerlink" href="#module-MDSLibraries.system_utility" title="Permalink to this headline">¶</a></h1>
<dl class="class">
<dt id="MDSLibraries.system_utility.OutputThreading">
<em class="property">class </em><code class="descclassname">MDSLibraries.system_utility.</code><code class="descname">OutputThreading</code><span class="sig-paren">(</span><em>externalCallable</em>, <em>*args</em>, <em>**kwds</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/system_utility.html#OutputThreading"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.system_utility.OutputThreading" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference external" href="https://docs.python.org/3/library/threading.html#threading.Thread" title="(in Python v3.8)"><code class="xref py py-class docutils literal notranslate"><span class="pre">threading.Thread</span></code></a></p>
<dl class="method">
<dt id="MDSLibraries.system_utility.OutputThreading.raiseExc">
<code class="descname">raiseExc</code><span class="sig-paren">(</span><em>exctype</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/system_utility.html#OutputThreading.raiseExc"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.system_utility.OutputThreading.raiseExc" title="Permalink to this definition">¶</a></dt>
<dd><p>Raises the given exception type in the context of this thread.</p>
<p>If the thread is busy in a system call (time.sleep(),
socket.accept(), …), the exception is simply ignored.</p>
<p>If you are sure that your exception should terminate the thread,
one way to ensure that it works is:</p>
<blockquote>
<div><p>t = ThreadWithExc( … )
…
t.raiseExc( SomeException )
while t.isAlive():</p>
<blockquote>
<div>time.sleep( 0.1 )
t.raiseExc( SomeException )</div></blockquote>
</div></blockquote>
<p>If the exception is to be caught by the thread, you need a way to
check that your thread has caught it.</p>
<p>CAREFUL : this function is executed in the context of the
caller thread, to raise an excpetion in the context of the
thread represented by this instance.</p>
</dd></dl>

<dl class="method">
<dt id="MDSLibraries.system_utility.OutputThreading.run">
<code class="descname">run</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/system_utility.html#OutputThreading.run"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.system_utility.OutputThreading.run" title="Permalink to this definition">¶</a></dt>
<dd><p>Method representing the thread’s activity.</p>
<p>You may override this method in a subclass. The standard run() method
invokes the callable object passed to the object’s constructor as the
target argument, if any, with sequential and keyword arguments taken
from the args and kwargs arguments, respectively.</p>
</dd></dl>

</dd></dl>

<dl class="function">
<dt id="MDSLibraries.system_utility.deprecated">
<code class="descclassname">MDSLibraries.system_utility.</code><code class="descname">deprecated</code><span class="sig-paren">(</span><em>reason</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/system_utility.html#deprecated"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.system_utility.deprecated" title="Permalink to this definition">¶</a></dt>
<dd><p>This is a decorator which can be used to mark functions
as deprecated. It will result in a warning being emitted
when the function is used.</p>
</dd></dl>

<dl class="function">
<dt id="MDSLibraries.system_utility.download_url">
<code class="descclassname">MDSLibraries.system_utility.</code><code class="descname">download_url</code><span class="sig-paren">(</span><em>url</em>, <em>save_path</em>, <em>chunk_size=128</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/system_utility.html#download_url"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.system_utility.download_url" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.system_utility.explicit_checker">
<code class="descclassname">MDSLibraries.system_utility.</code><code class="descname">explicit_checker</code><span class="sig-paren">(</span><em>f</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/system_utility.html#explicit_checker"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.system_utility.explicit_checker" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.system_utility.findInSubdirectory">
<code class="descclassname">MDSLibraries.system_utility.</code><code class="descname">findInSubdirectory</code><span class="sig-paren">(</span><em>filename</em>, <em>subdirectory=''</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/system_utility.html#findInSubdirectory"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.system_utility.findInSubdirectory" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.system_utility.find_free_port">
<code class="descclassname">MDSLibraries.system_utility.</code><code class="descname">find_free_port</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/system_utility.html#find_free_port"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.system_utility.find_free_port" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.system_utility.get_encoding">
<code class="descclassname">MDSLibraries.system_utility.</code><code class="descname">get_encoding</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/system_utility.html#get_encoding"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.system_utility.get_encoding" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.system_utility.get_number_of_cpus">
<code class="descclassname">MDSLibraries.system_utility.</code><code class="descname">get_number_of_cpus</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/system_utility.html#get_number_of_cpus"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.system_utility.get_number_of_cpus" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.system_utility.guess_encoding">
<code class="descclassname">MDSLibraries.system_utility.</code><code class="descname">guess_encoding</code><span class="sig-paren">(</span><em>openfile</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/system_utility.html#guess_encoding"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.system_utility.guess_encoding" title="Permalink to this definition">¶</a></dt>
<dd><p>guess the encoding of the given file</p>
</dd></dl>

<dl class="function">
<dt id="MDSLibraries.system_utility.md5sum">
<code class="descclassname">MDSLibraries.system_utility.</code><code class="descname">md5sum</code><span class="sig-paren">(</span><em>filename</em>, <em>include_filename=False</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/system_utility.html#md5sum"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.system_utility.md5sum" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.system_utility.mem">
<code class="descclassname">MDSLibraries.system_utility.</code><code class="descname">mem</code><span class="sig-paren">(</span><em>size='rss'</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/system_utility.html#mem"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.system_utility.mem" title="Permalink to this definition">¶</a></dt>
<dd><p>Generalization; memory sizes: rss, rsz, vsz.</p>
</dd></dl>

<dl class="function">
<dt id="MDSLibraries.system_utility.profileit">
<code class="descclassname">MDSLibraries.system_utility.</code><code class="descname">profileit</code><span class="sig-paren">(</span><em>func</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/system_utility.html#profileit"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.system_utility.profileit" title="Permalink to this definition">¶</a></dt>
<dd><table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field-odd field"><th class="field-name">Parameters:</th><td class="field-body"><strong>func</strong> – </td>
</tr>
<tr class="field-even field"><th class="field-name">Returns:</th><td class="field-body"></td>
</tr>
<tr class="field-odd field"><th class="field-name">Return type:</th><td class="field-body"></td>
</tr>
</tbody>
</table>
</dd></dl>

<dl class="function">
<dt id="MDSLibraries.system_utility.py2_3_bytes">
<code class="descclassname">MDSLibraries.system_utility.</code><code class="descname">py2_3_bytes</code><span class="sig-paren">(</span><em>value</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/system_utility.html#py2_3_bytes"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.system_utility.py2_3_bytes" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.system_utility.py2_3_str">
<code class="descclassname">MDSLibraries.system_utility.</code><code class="descname">py2_3_str</code><span class="sig-paren">(</span><em>value</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/system_utility.html#py2_3_str"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.system_utility.py2_3_str" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.system_utility.py2_3_unicode">
<code class="descclassname">MDSLibraries.system_utility.</code><code class="descname">py2_3_unicode</code><span class="sig-paren">(</span><em>value</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/system_utility.html#py2_3_unicode"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.system_utility.py2_3_unicode" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.system_utility.request_url">
<code class="descclassname">MDSLibraries.system_utility.</code><code class="descname">request_url</code><span class="sig-paren">(</span><em>search_string</em>, <em>rootsite</em>, <em>data=None</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/system_utility.html#request_url"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.system_utility.request_url" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.system_utility.request_urlrequest">
<code class="descclassname">MDSLibraries.system_utility.</code><code class="descname">request_urlrequest</code><span class="sig-paren">(</span><em>search_string</em>, <em>rootsite</em>, <em>method='get'</em>, <em>data=None</em>, <em>files=None</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/system_utility.html#request_urlrequest"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.system_utility.request_urlrequest" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.system_utility.rss">
<code class="descclassname">MDSLibraries.system_utility.</code><code class="descname">rss</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/system_utility.html#rss"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.system_utility.rss" title="Permalink to this definition">¶</a></dt>
<dd><p>Return ps -o rss (resident) memory in kB.</p>
</dd></dl>

<dl class="function">
<dt id="MDSLibraries.system_utility.rsz">
<code class="descclassname">MDSLibraries.system_utility.</code><code class="descname">rsz</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/system_utility.html#rsz"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.system_utility.rsz" title="Permalink to this definition">¶</a></dt>
<dd><p>Return ps -o rsz (resident + text) memory in kB.</p>
</dd></dl>

<dl class="function">
<dt id="MDSLibraries.system_utility.safe_call">
<code class="descclassname">MDSLibraries.system_utility.</code><code class="descname">safe_call</code><span class="sig-paren">(</span><em>funct</em>, <em>*args</em>, <em>**kwargs</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/system_utility.html#safe_call"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.system_utility.safe_call" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.system_utility.signal_term_handler">
<code class="descclassname">MDSLibraries.system_utility.</code><code class="descname">signal_term_handler</code><span class="sig-paren">(</span><em>signal</em>, <em>frame</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/system_utility.html#signal_term_handler"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.system_utility.signal_term_handler" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.system_utility.spawn_function_with_multiprocessing">
<code class="descclassname">MDSLibraries.system_utility.</code><code class="descname">spawn_function_with_multiprocessing</code><span class="sig-paren">(</span><em>target</em>, <em>args=None</em>, <em>kwargs=None</em>, <em>name=None</em>, <em>blocking=True</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/system_utility.html#spawn_function_with_multiprocessing"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.system_utility.spawn_function_with_multiprocessing" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.system_utility.special_request">
<code class="descclassname">MDSLibraries.system_utility.</code><code class="descname">special_request</code><span class="sig-paren">(</span><em>search_string</em>, <em>rootsite</em>, <em>data</em>, <em>topn=10</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/system_utility.html#special_request"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.system_utility.special_request" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.system_utility.timing">
<code class="descclassname">MDSLibraries.system_utility.</code><code class="descname">timing</code><span class="sig-paren">(</span><em>f</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/system_utility.html#timing"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.system_utility.timing" title="Permalink to this definition">¶</a></dt>
<dd><table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field-odd field"><th class="field-name">Parameters:</th><td class="field-body"><strong>f</strong> – </td>
</tr>
<tr class="field-even field"><th class="field-name">Returns:</th><td class="field-body"></td>
</tr>
<tr class="field-odd field"><th class="field-name">Return type:</th><td class="field-body"></td>
</tr>
</tbody>
</table>
</dd></dl>

<dl class="function">
<dt id="MDSLibraries.system_utility.vsz">
<code class="descclassname">MDSLibraries.system_utility.</code><code class="descname">vsz</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/system_utility.html#vsz"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.system_utility.vsz" title="Permalink to this definition">¶</a></dt>
<dd><p>Return ps -o vsz (virtual) memory in kB.</p>
</dd></dl>

<dl class="function">
<dt id="MDSLibraries.system_utility.warning">
<code class="descclassname">MDSLibraries.system_utility.</code><code class="descname">warning</code><span class="sig-paren">(</span><em>objs</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/system_utility.html#warning"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.system_utility.warning" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</div>


          </div>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="MDSLibraries.voyager_master_phil.html" title="MDSLibraries.voyager_master_phil module"
             >next</a> |</li>
        <li class="right" >
          <a href="MDSLibraries.simple_tools.html" title="MDSLibraries.simple_tools module"
             >previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="index.html">PhaserVoyager 0.0.1 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="modules.html" >src</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="MDSLibraries.html" >MDSLibraries package</a> &#187;</li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2020, Massimo D. Sammito.
      Created using <a href="http://sphinx-doc.org/">Sphinx</a> 1.8.5.
    </div>
  </body>
</html>